ActionMessages.ActionMessageItem (Struts 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.action
Class ActionMessages.ActionMessageItem

    java.lang.Object
      org.apache.struts.action.ActionMessages.ActionMessageItem

All Implemented Interfaces:
  Serializable

Enclosing class:
  ActionMessages

    protected class ActionMessages.ActionMessageItem

extends Object
implements Serializable

This class is used to store a set of messages associated with a property/key and the position it was initially added to list.

See Also:
  Serialized Form

Field Summary
`protected int` | `iOrder` The position in the list of messages.
`protected List` | `list` The list of `ActionMessage`s.
`protected String` | `property` The property associated with `ActionMessage`.

Constructor Summary
`ActionMessages.ActionMessageItem(List list, int iOrder, String property)` Construct an instance of this class.

Method Summary
`List` | `getList()` Retrieve the list of messages associated with this item.
`int` | `getOrder()` Retrieve the position in the message list.
`String` | `getProperty()` Retrieve the property associated with this item.
`void` | `setList(List list)` Set the list of messages associated with this item.
`void` | `setOrder(int iOrder)` Set the position in the message list.
`void` | `setProperty(String property)` Set the property associated with this item.
`String` | `toString()` Construct a string representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### list

    protected List list

  The list of `ActionMessage`s.

### iOrder

    protected int iOrder

  The position in the list of messages.

### property

    protected String property

  The property associated with `ActionMessage`.

Constructor Detail

### ActionMessages.ActionMessageItem

    public ActionMessages.ActionMessageItem(List list,
                                            int iOrder,
                                            String property)

  Construct an instance of this class.

  Parameters:
    `list` - The list of ActionMessages.
    `iOrder` - The position in the list of messages.
    `property` - The property associated with ActionMessage.

Method Detail

### getList

    public List getList()

  Retrieve the list of messages associated with this item.

  Returns:
    The list of messages associated with this item.

### setList

    public void setList(List list)

  Set the list of messages associated with this item.

  Parameters:
    `list` - The list of messages associated with this item.

### getOrder

    public int getOrder()

  Retrieve the position in the message list.

  Returns:
    The position in the message list.

### setOrder

    public void setOrder(int iOrder)

  Set the position in the message list.

  Parameters:
    `iOrder` - The position in the message list.

### getProperty

    public String getProperty()

  Retrieve the property associated with this item.

  Returns:
    The property associated with this item.

### setProperty

    public void setProperty(String property)

  Set the property associated with this item.

  Parameters:
    `property` - The property associated with this item.

### toString

    public String toString()

  Construct a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.